
.modal-background {
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    z-index: 9998;
}
.modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    display: none;
    width: fit-content;
    height: fit-content;
	block-size: fit-content;
	overflow: auto;

    min-width: 250px;
    //max-width: 400px;
    //height: 300px;
    //overflow: auto;
    background-color: #fff;
    box-sizing: border-box;
    z-index: 9999;
}

.modal > p {
    padding: 15px;
    margin: 0;
}
.modal-header {
    background-color: #f9f9f9;
    border-bottom: 1px solid #dddddd;
    box-sizing: border-box;
    height: 50px;
}
.modal-header h3 {
    margin: 0;
    box-sizing: border-box;
    padding-left: 15px;
    line-height: 50px;
    color: #4d4d4d;
    font-size: 16px;
    display: inline-block;
}
.modal-header label {
    box-sizing: border-box;
    border-left: 1px solid #dddddd;
    float: right;
    //position: fixed;
    //right: 0;
    //width: 120px;
    line-height: 50px;
    padding: 0 15px 0 15px;
    cursor: pointer;
}
.modal-header label:hover img {
    opacity: 0.6;
}
.modal-footer {
    background-color: #f9f9f9;
    border-bottom: 1px solid #dddddd;
    border-top: 1px solid #dddddd;
    box-sizing: border-box;
    width: 100%;
    //height: 150px;
    text-align: right;
    //position: absolute;
    bottom: 0;
}

.modal-prompt {
	padding: 15px;
}

.modal-inline-error {
    color: var(--selected-color);
    padding-left: 15px;
    margin: 0;
}

#modalBtnX {
    width: 48px !important;
}

.modal-content  {
    padding: 15px;
}